version: '3.8'
services:

  workflow:
    image: marconi.aoc.nrao.edu/workspaces/workflow:dev
    ports:
      - "3456:3456"
    volumes:
      - /home/ssa/capo/:/root/.capo
    deploy:
      placement:
        constraints:
          - "node.labels.node_env==${SWARM_NODE_ENV}"

  capability:
    image: marconi.aoc.nrao.edu/workspaces/capability:dev
    ports:
      - "3457:3457"
    volumes:
      - /home/ssa/capo/:/root/.capo
    deploy:
      placement:
        constraints:
          - "node.labels.node_env==${SWARM_NODE_ENV}"

# schema:
  #   image: marconi.aoc.nrao.edu/ops/base:workspaces
  #   depends_on:
  #     - db
  #   volumes:
  #     - ./schema:/code/schema